//
//  NoodleEditController.m
//  NoodleEdit
//
//  Created by Paul Kim on 5/6/12.
//  Copyright (c) 2012 Noodlesoft, LLC. All rights reserved.
//

#import "NoodleEditController.h"

#define NEW_WINDOW_TAG      8358
#define NEW_WINDOW_TITLE    @"New Window for \"%@\""

@implementation NoodleEditController

- (void)menuNeedsUpdate:(NSMenu *)menu
{
    if (menu == windowMenu)
    {
        NSMenuItem  *item;
        NSUInteger  idx;
        
        for (item in [menu itemArray])
        {
            if ([item tag] == NEW_WINDOW_TAG)
            {
                [menu removeItem:item];
            }
        }
        
        idx = 0;
        
        for (NSDocument *document in [[NSDocumentController sharedDocumentController] documents])
        {
            item = [[NSMenuItem alloc] initWithTitle:[NSString stringWithFormat:NEW_WINDOW_TITLE, [document displayName]] action:@selector(newWindow:) keyEquivalent:@""];
            [item setTag:NEW_WINDOW_TAG];
            [item setTarget:document];
            [menu insertItem:item atIndex:idx];
            [item release];
            
            idx++;
        }
        
        if ((idx > 0) && ![[menu itemAtIndex:idx] isSeparatorItem])
        {
            [menu insertItem:[NSMenuItem separatorItem] atIndex:idx];
        }
    }
}

@end
