//
//  NoodleTextDocumentWindowController.m
//  NoodleEdit
//
//  Created by Paul Kim on 5/3/12.
//  Copyright 2012 Noodlesoft, LLC. All rights reserved.
//

#import "NoodleTextDocumentWindowController.h"
#import "NoodleTextDocument.h"
#import "NoodleLineNumberView.h"

@implementation NoodleTextDocumentWindowController

- (id)initWithWindow:(NSWindow *)window
{
    self = [super initWithWindow:window];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    
    // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
    [[(NoodleTextDocument *)[self document] contents] addLayoutManager:[textView layoutManager]];
    [textView setFont:[NSFont userFixedPitchFontOfSize:[NSFont systemFontSize]]];
    
    NSScrollView            *scrollView;
    NoodleLineNumberView    *lineNumberView;
    
    scrollView = [textView enclosingScrollView];
    lineNumberView = [[NoodleLineNumberView alloc] initWithScrollView:scrollView];
    [scrollView setVerticalRulerView:lineNumberView];
    [scrollView setHasHorizontalRuler:NO];
    [scrollView setHasVerticalRuler:YES];
    [scrollView setRulersVisible:YES];
}


@end
